Issue 26821 - Impress/Draw: AutoSpellcheck mark is not updated when word is rewritten
Summary: Impress/Draw: AutoSpellcheck mark is not updated when word is rewritten
Status: CLOSED IRREPRODUCIBLE
Alias: None
Product: General
Classification: Code
Component: spell checking (show other issues)
Version: 3.3.0 or older (OOo)
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: stefan.baltzer
QA Contact: issues@lingucomponent
URL:
Keywords: oooqa
: 111203 (view as issue list)
Depends on:
Blocks: 57093
  Show dependency tree
 
Reported: 2004-03-22 15:28 UTC by avilella
Modified: 2013-02-24 20:42 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description avilella 2004-03-22 15:28:17 UTC
Hello,

I found this misbehaviour in ooimpress that is not found in oowriter:

When AutoSpellcheck is on, if you write a word that is considered incorrect, it
is automatically underlined with a "wiggly" red line just after you press the
"Space", so that you have finished with writing the word. But if you go back and
correct the error in the word, that being only deleting the last part of the
word, then press "Space" again to isolate the word, the red underline is not
updated, and remains there although the word is correct.

To reproduce the error:
(1) Create a new ooimpress document
(2) At any point, write "Ther ose" when aiming to write "The rose", for example.
(3) Delete the wrong part until "The", pressing Del 5 times.
(4) Complete with " rose".
(5) "The" is still underlined.

Note that this does not happen when you correct the word by changing letters in
the middle, for example, when correcting "wirte" for "write".

Again, note that this is not happening in oowriter and that I found it happening
in oo1.1 and oo1.1.1-rc3.

Thanks in advance,

    Albert.
Comment 1 wolframgarten 2004-03-22 15:41:59 UTC
Can be reproduced. Reassigned to Christian.
Comment 2 clippka 2004-03-23 16:10:11 UTC
this is handled in the edit engine
Comment 3 ace_dent 2008-05-16 02:55:00 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised has the status 'New' pending further action, but has not
been updated within the last 4 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 4 Rainer Bielefeld 2009-07-04 07:45:34 UTC
I created a document with 1.1.4 ant checked: Problem still visible.
Tested that document with 3.1: Problem still visible
Tried a new 3.1 document: Problem still visible

Same in DRAW documents
Comment 5 Oliver-Rainer Wittmann 2009-07-06 11:58:57 UTC
OD->TL: Please take over, Thx.
Comment 6 thomas.lange 2009-07-07 08:25:48 UTC
TL->SBA: Seems fine to me in DEV300_m46. Please verify. Thanks!
Comment 7 Rainer Bielefeld 2009-07-07 08:40:18 UTC
I checked with "Ooo Dev 3.2.0 multilingual version German UI WIN XP: [DEV300m50
(Build 9406)]" and can confirm that the problem is no longer visible.
Comment 8 stefan.baltzer 2009-07-07 15:47:45 UTC
Thx for the comments.
Works well in DEV_300_m51, too (UI and doc Language = EN_US, platform Solaris
Sparc): As soon as the "r" in "Ther" is deleted, the red wavy line vanishes as
expected.
Closing issue.
Comment 9 Rainer Bielefeld 2010-04-28 07:19:30 UTC
It seems that the problem reappeared with 3.2, vanished with 3.3 (m77) again.
Strange thing!

Comment 10 Rainer Bielefeld 2010-04-28 07:37:27 UTC
*** Issue 111203 has been marked as a duplicate of this issue. ***
Comment 11 thomas.lange 2010-04-28 09:28:33 UTC
tl->rainerbielefeld: It works fine in my DEV300_m77 Windows pro installation...
Tested with Writer drawing objects, Draw and Impress. 
Comment 12 Rainer Bielefeld 2010-05-01 18:28:25 UTC
*** Issue 111203 has been marked as a duplicate of this issue. ***